# airbridge-flutter-sdk

## Requirements

* Xcode
* Android Studio
* Cocoapods
* Flutter

## Test

### Test - Application - iOS

1. Open `example/ios/Runner.xcodeproj`
2. Product > Run

### Test - Application - Android

1. Open `Android Studio`
2. Open `example/android`
3. Run > Run 'app'

## Deployment

### Release

```
flutter pub publish
```

## Monitoring

* Newrelic
    * 접속: https://insights.newrelic.com/
* Kibana
    * 접속: http://kibana.ab180.co
    * Index pattern: `airbridge-fmt-*-event-results-*`
* Snowflake
    * 접속: https://sj55259.ap-northeast-1.aws.snowflakecomputing.com/console

## Logging

* Kibana
    * 접속: http://kibana.ab180.co
    * Index pattern: `airbridge-sdk-logs*`

## Disability Response Manual

### Revert

1. `git checkout master`
2. `git revert master -m 1`
3. `git push`
4. Update version
5. Git commit and git push
6. `flutter pub publish`
